Consultar checkout de cartao
curl --request GET \
--url https://api.axnpay.com.br/v1/integrations/card/checkout-session \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.axnpay.com.br/v1/integrations/card/checkout-session"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.axnpay.com.br/v1/integrations/card/checkout-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"amount": 123,
"feeAmount": 123,
"finalAmount": 123,
"description": "<string>",
"productName": "<string>",
"trackingParameters": {
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_campaign": "<string>",
"utm_content": "<string>",
"utm_term": "<string>"
},
"pixCode": "<string>",
"pixKey": "<string>",
"clientName": "<string>",
"clientEmail": "<string>",
"clientPhone": "<string>",
"clientCpf": "<string>",
"externalId": "<string>",
"gatewayId": "<string>",
"endToEndId": "<string>",
"receiptUrl": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"balanceImpact": true,
"settlementMode": "<string>"
},
"checkout": {
"sessionId": "<string>",
"url": "<string>",
"clientSecret": "<string>",
"publishableKey": "<string>",
"accountDisplayName": "<string>",
"paymentMethodConfigurationId": "<string>",
"requestedPaymentMethodTypes": [
"<string>"
],
"livemode": true,
"paymentStatus": "<string>",
"status": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"webhookConfigured": true,
"settlementMode": "<string>",
"balanceImpact": true
}
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"detail": {}
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"detail": {}
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"detail": {}
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"detail": {}
}Transacoes
Consultar checkout de cartao
GET
/
v1
/
integrations
/
card
/
checkout-session
Consultar checkout de cartao
Consulta uma sessao de checkout de cartao e sincroniza o status local da transacao.
Voce pode consultar por
sessionId, transactionId ou id legado.Authorizations
Use sua secret key: Bearer sk_live_prod_...
⌘I
